* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    scroll-behavior: smooth;
    font-family: "DM Sans", sans-serif;
    color: #1E1E1E;
}

body {
    background-color: #FAFAFA;
}

button {
    transition: all ease 350ms;
    cursor: pointer;
    font-family: "Roboto Mono", monospace;
    outline: none;
    font-weight: 400;
}

.highlight {
    font-family: "DM Serif Text", serif;
    font-weight: 400;
    font-style: italic;
}

a {
    font-family: "Roboto Mono", monospace;
}

section {
    padding-inline: 40px;
}

.container { 
    margin: 0 auto;
    max-width: 1320px;
}

.navbar {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    padding-top: 20px;
    z-index: 999999;
    transform: translateY(-100%);
    opacity: 0;
    animation: slideDown 1s ease forwards;
}

.navbar .logo {
    cursor: pointer;
}

@keyframes slideDown {
    to {
        transform: translateY(0);
        opacity: 1;
    }
}

.navbar .container {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 20px;
    padding: 15px 20px;
    border-radius: 10px;
    border: 1px solid #1E1E1E;
    background: rgba(255, 255, 255, 0.65);
    backdrop-filter: blur(4px);
    -webkit-backdrop-filter: blur(4px);
}

.navbar .links {
    display: flex;
    align-items: center;
    gap: 30px;
}

.navbar .links a {
    text-decoration: none;
    font-size: 16px;
    line-height: 20px;
    color: #1E1E1E;
    transition: all ease 250ms;
}

.navbar .links a:hover {
    opacity: 66%;
}

.navbar .links button {
    border-radius: 40px;
    background-color: #1E1E1E;
    color: #fff;
    display: flex;
    align-items: center;
    gap: 10px;
    font-size: 16px;
    line-height: 20px;
    border: none;
    padding: 15px 30px;
    position: relative;
    overflow: hidden;
    z-index: 1;
}

.navbar .links button::before {
    content: "";
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 0%;
    background: #FFD600; /* yellow */
    z-index: -1;
    transition: height 0.3s ease;
}

.navbar .links button:hover::before {
    height: 100%;
}

.navbar .links button:hover {
    color: #000;
}

.navbar .links button:hover img {
    filter: invert(100);
}

.hero {
    background: url(../assets/bg/hero_bg_too.png);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}

.hero .container {
    padding-bottom: 80px;
    padding-top: 200px;
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    align-items: start;
    justify-content: end;
}

.hero h1 {
    max-width: 850px;
    font-size: 95px;
    line-height: 110px;
    font-weight: 500;

    opacity: 0;
    transform: translateY(30px);
    animation: slideUp 0.9s ease forwards;
    animation-delay: 0.6s;
}

.hero p {
    max-width: 550px;
    font-size: 22px;
    line-height: 29px;
    margin: 10px 0 20px;
    font-weight: 400;
    opacity: 80%;

    opacity: 0;
    transform: translateY(30px);
    animation: slideUp 0.9s ease forwards;
    animation-delay: 0.8s;
}

.hero button {
    background-color: #1E1E1E;
    color: #fff;
    /* border: 2px solid #fff; */
    border: none;
    padding: 18px 30px;
    border-radius: 30px;
    font-size: 20px;
    line-height: 22px;
    display: flex;
    align-items: center;
    gap: 12px;

    position: relative;
    overflow: hidden;
    z-index: 1;

    opacity: 0;
    transform: translateY(30px);
    animation: slideUp 0.9s ease forwards;
    animation-delay: 1s;
}

@keyframes slideUp {
    to {
        transform: translateY(0);
        opacity: 1;
    }
}

.hero button img {
    height: 18px;
    padding-top: 2px;
}

.hero button::before {
    content: "";
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 0%;
    background: #fff; /* yellow */
    z-index: -1;
    transition: height 0.3s ease;
}

.hero button:hover::before {
    height: 100%;
}

.hero button:hover {
    color: #000;
}

.hero button:hover img {
    filter: invert(100);
}

.hero .slider-wrap {
    margin-bottom: 10px;
    width: 560px;
    overflow: hidden;
    opacity: 0;
    transform: translateY(30px);
    animation: slideUp 0.9s ease forwards;
    animation-delay: 0.3s;
}

.hero .slider-wrap .slider {
    display: flex;
    align-items: center;
    gap: 10px;
    animation-delay: 0ms;
    animation: scroll 10s linear infinite;
}

@keyframes scroll {
    0% {
        transform: translateX(0);
    }
    100% {
        transform: translateX(-50%);
    }
}

.hero .slider-wrap .slider .item {
    padding: 14px 20px;
    border: 1px solid #1E1E1E;
    border-radius: 30px;
    color: #1e1e1e;
    font-family: "Roboto Mono", monospace;
    font-size: 16px;
    line-height: 20px;
    font-weight: 400;
    background: rgba(255, 255, 255, 0.40);
    backdrop-filter: blur(12px);
    -webkit-backdrop-filter: blur(12px);
    text-wrap: nowrap;
}

.proof .container {
    padding-top: 80px;
    padding-bottom: 80px;
    border-bottom: 1px dashed rgba(30, 30, 30, .2);
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 40px;
}

.proof .container p {
    max-width: 280px;
    font-size: 22px;
    line-height: 29px;
    color: rgba(30, 30, 30, .8);
}

.proof .container .logo-slider-wrap {
    overflow: hidden;
    max-width: 890px;
}

.proof .container .logo-slider-wrap .logo-slider {
    display: flex;
    align-items: center;
    gap: 20px;
    animation: logoScroll 5s linear infinite;
}

@keyframes logoScroll {
    0% {
        transform: translateX(0);
    }
    100% {
        transform: translateX(-50%);
    }
}

.caption {
    margin-bottom: 15px;
    font-size: 16px;
    line-height: 20px;
    color: rgba(30, 30, 30, .4);
    font-family: "Roboto Mono", monospace;
}

.services .container {
    padding-top: 140px;
    padding-bottom: 140px;
}

.services .container h2 {
    margin-bottom: 60px;
    max-width: 540px;
    font-size: 60px;
    line-height: 80px;
    font-weight: 500;
}

.services .container .divider {
    width: 100%;
    height: 1px;
    border-bottom: 1px dashed rgba(30, 30, 30, .2);
    margin-top: 5px;
    margin-bottom: 5px;
}

.services .container .service {
    display: flex;
    align-items: center;
    gap: 40px;
    border-radius: 8px;
    padding: 35px 20px;
    justify-content: space-between;
    transition: all ease 450ms;
    cursor: pointer;
}

.services .container .service:hover {
    background-color: #F3C403;
}

.services .container .service .left {
    display: flex;
    align-items: center;
    gap: 70px;
}

.services .container .service .left .counter {
    font-size: 20px;
    line-height: 20px;
    font-family: "Roboto Mono", monospace;
    font-weight: 500;
    transition: all ease 450ms;
}

.services .container .service:hover .left .counter {
    color: #fff;
}

.services .container .service:hover .left h3 {
    color: #fff;
}

.services .container .service:hover .right p {
    color: #fff;
}

.services .container .service:hover .right img {
    filter: invert(100);
}

.services .container .service .left h3 {
    font-size: 50px;
    line-height: 60px;
    font-weight: 500;
    transition: all ease 450ms;
}

.services .container .service .right {
    display: flex;
    align-items: center;
    gap: 60px;
}

.services .container .service .right p {
    max-width: 425px;
    font-size: 20px;
    line-height: 26px;
    transition: all ease 450ms;     
}

.portfolio {
    padding-top: 100px;
    padding-bottom: 140px;
    background: url(../assets/bg/portfolio_bg.png);
    background-size: cover;
    background-repeat: no-repeat;
}

.portfolio .caption {
    color: rgba(255, 255, 255, 0.40);
}

.portfolio h2 {
    margin-bottom: 200px;
    max-width: 450px;
    font-size: 60px;
    line-height: 80px;
    font-weight: 500;   
    color: #fff;
}

.portfolio .highlight {
    color: #fff;
}

.portfolio .container {
    display: flex;
    align-items: start;
    gap:40px;
    position: relative;
}

.portfolio .slide {
    width: 50%;
    min-width: 50%;
    max-width: 50%;
}

.portfolio .project {
    margin-bottom: 320px;
    display: flex;
    align-items: start;
    gap: 40px;
}

.portfolio .project.last {
    margin-bottom: 100px;
}

.portfolio .project .tags {
    display: flex;
    align-items: center;
    gap: 10px;
    margin-bottom: 30px;
}

.portfolio .project .tags .tag {
    padding: 12px 18px;
    color: #fff;
    border: 1px solid #fff;
    border-radius: 30px;
    font-family: "Roboto Mono", monospace;
    font-size: 16px;
    line-height: 18px;
    font-weight: 400;
    background: rgba(255, 255, 255, 0.10);
    backdrop-filter: blur(5px);
    -webkit-backdrop-filter: blur(5px);
}

.portfolio .project h3 {
    font-size: 50px;
    line-height: 60px;
    font-weight: 500;
    color: #fff;
}

.portfolio .project h4 {
    margin-bottom: 40px;
    font-size: 40px;
    line-height: 50px;
    color: #fff;
    font-family: "DM Serif Text", serif;
    font-weight: 400;
    font-style: italic;
}

.portfolio .project p {
    font-size: 20px;
    line-height: 26px;
    font-weight: 400;
    color: #fff;
    max-width: 430px;
}

.portfolio .demo {
    margin-top: 275px;
    padding: 15px;
    width: 50%;
    border-radius: 20px;
    overflow: hidden;
    background: rgba(255, 255, 255, 0.10);
    backdrop-filter: blur(5px);
    -webkit-backdrop-filter: blur(5px);
    border: 1px solid #fff;
    position: sticky;
    top: 150px;
}

.portfolio .demo img {
    width: 100%;
    border-radius: 10px;
    object-fit: cover;
    object-position: center;
    display: block;
}

.portfolio .mobile-demo {
    display: none;
    margin-bottom: 140px;
    padding: 15px;
    width: 100%;
    border-radius: 20px;
    overflow: hidden;
    background: rgba(255, 255, 255, 0.10);
    backdrop-filter: blur(5px);
    -webkit-backdrop-filter: blur(5px);
    border: 1px solid #fff;
}

.portfolio .mobile-demo img {
    width: 100%;
    border-radius: 10px;
    object-fit: cover;
    object-position: center;
    display: block;
}

.process {
    padding-top: 160px;
    padding-bottom: 160px;
}

.process .header {
    display: flex;
    align-items: end;
    justify-content: space-between;
    gap: 40px;
    margin-bottom: 60px;
}

.process .header h2 {
    max-width: 400px;
    font-size: 60px;
    line-height: 80px;
    font-weight: 500; 
}

.process .header button {
    background-color: #1E1E1E;
    color: #fff;
    /* border: 2px solid #fff; */
    border: none;
    padding: 14px 26px;
    border-radius: 30px;
    font-size: 18px;
    line-height: 20px;
    display: flex;
    align-items: center;
    gap: 12px;
}

.process .header button img {
    height: 18px;
    padding-top: 2px;
}

.process .steps {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 20px;
}

.process .steps .card {
    background-color: #fff;
    padding: 60px 40px;
    border-radius: 15px;
    border: 1px solid rgba(30, 30, 30, .1);
    /* transition: all ease 500ms; */
    transition: all ease 1s;
}

.process .steps .card h3 {
    margin: 30px 0 10px;
    font-weight: 500;
    font-size: 36px;
    line-height: 50px;
}

.process .steps .card p {
    font-size: 20px;
    line-height: 26px;
    font-weight: 400;
}

.process .steps .card.step-two {
    transform: translateX(-80%);
}

.process .steps .card.step-three {
    transform: translateX(-160%);
}

.process.in-view .card.step-two,
.process.in-view .card.step-three {
    transform: translateX(0);
}

.social-proof {
    padding-top: 120px;
    padding-bottom: 120px;
    background: url(../assets/bg/testimonial_bg.png);
    background-size: cover;
}

.social-proof .header {
    display: flex;
    align-items: end;
    justify-content: space-between;
    gap: 40px;
    margin-bottom: 100px;
}

.social-proof .header h2 {
    max-width: 400px;
    font-size: 60px;
    line-height: 80px;
    font-weight: 500; 
}

.social-proof .header .numbers {
    display: flex;
    gap: 50px;
}

.social-proof .header .numbers h3 {
    margin-bottom: 5px;
    font-size: 66px;
    line-height: 66px;
    font-weight: 400;
}

.social-proof .header .numbers p {
    font-size: 20px;
    line-height: 26px;
    font-weight: 400;
}

.social-proof .header .numbers .vertical-divider {
    width: 1px;
    background-color: #1E1E1E;
}

.social-proof .reviews {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 20px;
}

.social-proof .reviews .card {
    border: 2px solid #fff;
    border-radius: 10px;
    background: rgba(255, 255, 255, 0.70);
    backdrop-filter: blur(5px);
    -webkit-backdrop-filter: blur(5px);
    padding: 40px;
    box-shadow: 0 2px 8px 0 rgba(30, 30, 30, .1);
    transition: all ease 800ms; 
}

.social-proof .reviews .card .avatar {
    width: 60px;
    height: 60px;
    border-radius: 30px;
    object-fit: cover;
    object-position: center;
    display: block;
    margin-bottom: 30px;
}

.social-proof .reviews .card p {
    margin: 30px 0;
    font-size: 20px;
    line-height: 26px;
    font-weight: 400;
}

.social-proof .reviews .card h5 {
    font-family: "DM Serif Text", serif;
    font-weight: 400;
    font-style: italic;
    margin-bottom: 4px;
    font-size: 22px;
    line-height: 24px;
}

.social-proof .reviews .card .position {
    font-size: 14px;
    line-height: 18px;
    font-weight: 200;
    color: rgba(30, 30, 30, .6);
}

.social-proof .reviews.in-view .card.one {
    transform: rotate(-10deg) translateX(30px);
}

.social-proof .reviews.in-view .card.two {
    transform: rotate(5deg);
}

.social-proof .reviews.in-view .card.three {
    transform: rotate(15deg);
}

.social-proof .reviews.in-view .card.four {
    transform: rotate(-10deg) translateX(-30px);
}

.cta {
    text-align: center;
    padding-top: 140px;
}

.cta h2 {
    margin: 0 auto 10px;
    font-size: 80px;
    line-height: 100px;
    max-width: 800px;
    font-weight: 400;
}

.cta p {
    max-width: 620px;
    margin: 0 auto 30px;
    font-size: 22px;
    line-height: 29px;
    font-weight: 400;
}

.cta button {
    background-color: #1E1E1E;
    color: #fff;
    /* border: 2px solid #fff; */
    border: none;
    padding: 18px 30px;
    border-radius: 30px;
    font-size: 20px;
    line-height: 22px;
    display: inline-flex;
    align-items: center;
    gap: 12px;
    margin-bottom: 100px;
    position: relative;
    overflow: hidden;
    z-index: 1;
}

.cta button  img {
    height: 18px;
    padding-top: 2px;
}

.cta button::before {
    content: "";
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 0%;
    background: #FFD600; /* yellow */
    z-index: -1;
    transition: height 0.3s ease;
}

.cta button:hover::before {
    height: 100%;
}

.cta button:hover {
    color: #000;
}

.cta button:hover img {
    filter: invert(100);
}

.cta .banner {
    display: block;
    margin: 0 auto;
}

.footer {
    background-color: #1E1E1E;
    padding-top: 120px;
    padding-bottom: 40px;
}

.footer .main {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    padding-bottom: 120px;
    border-bottom: 1px solid rgba(255, 255, 255, 0.20);
}

.footer .col.double {
    grid-column: span 2;
}

.footer .col .footer-logo {
    display: block;
    margin-bottom: 50px;
}

.footer .col .media {
    display: flex;
    align-items: center;
    gap: 20px;
    margin-top: 50px;
}

.footer .col .media .icon {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 50px;
    height: 50px;
    border-radius: 50px;
    border: 1px solid #fff;
    background: rgba(255, 255, 255, 0.20);
    backdrop-filter: blur(5px);
    -webkit-backdrop-filter: blur(5px);
    cursor: pointer;
    transition: all ease 300ms;
}

.footer .col .media .icon:hover {
    background-color: #F3C403;
}

.footer-links {
    display: flex;
    flex-direction: column;
    gap: 15px;
}

.footer-links a {
    font-size: 20px;
    line-height: 26px;
    transition: all ease 300ms;
    text-decoration: none;
}

.footer-links span {
    font-weight: 300;
    color: rgba(255, 255, 255, 0.50);
}

.footer .col .footer-links a {
    color: rgba(255, 255, 255, 0.70);
}

.footer .col .footer-links a:hover {
    color: #F3C403;
}

.footer .col.double .footer-links a {
    color: rgba(255, 255, 255, 1);
}

.footer .col.double .footer-links a:hover {
    color: #F3C403;
}

.footer .col h3 {
    margin-bottom: 30px;
    font-size: 24px;
    line-height: 30px;
    font-weight: 500;
    font-family: "Roboto Mono", monospace;
    color: #fff;
}

.copyright {
    padding-top: 40px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 40px;
}

.copyright a {
    font-size: 16px;
    line-height: 22px;
    transition: all ease 300ms;
    text-decoration: none;
    color: rgba(255, 255, 255, 0.70);
}

.copyright a:hover {
    color: #fff;
}

.mobile-menu {
    display: none;
}

.menu {
    display: flex;
    position: fixed;
    z-index: 999;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    background-color: #fff;
    padding: 150px 20px 0;
    flex-direction: column;
    gap: 20px;
    transition: all ease 500ms;
    transform: translateX(100%);
}

.menu a {
    font-size: 20px;
    line-height: 26px;
    transition: all ease 300ms;
    text-decoration: none;
}

.menu .menu-divider {
    width: 100%;
    height: 1px;
    background-color: rgba(30, 30, 30, .1);
}

.menu button {
    background-color: #1E1E1E;
    color: #fff;
    /* border: 2px solid #fff; */
    border: none;
    padding: 16px 26px;
    border-radius: 8px;
    font-size: 18px;
    line-height: 20px;
    display: flex;
    align-items: center;
    gap: 12px;
}

@media screen and (max-width: 1200px) {
    .cta .banner {
        width: 100%;
    }

    .proof .container .logo-slider-wrap {
        overflow: hidden;
        max-width: 550px;
    }
}

@media screen and (max-width: 980px) {
    .portfolio .demo {
        display: none;
    }

    .portfolio .mobile-demo {
        display: block;
    }

    .portfolio .slide {
        width: 100%;
        min-width: none;
        max-width: none;
    }

    .social-proof .reviews {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        gap: 20px;
    }

    .social-proof .reviews.in-view .card.one {
        transform: none;
    }

    .social-proof .reviews.in-view .card.two {
        transform: none;
    }

    .social-proof .reviews.in-view .card.three {
        transform: none;
    }

    .social-proof .reviews.in-view .card.four {
        transform: none;
    }

    .portfolio h2 {
        margin-bottom: 100px;
        font-size: 45px;
        line-height: 60px;
        max-width: 100%;
    }

    .portfolio .project {
        margin-bottom: 40px;
    }

    .portfolio .project.last {
        margin-bottom: 40px;
    }

    .social-proof .header {
        margin-bottom: 80px;
        flex-direction: column;
        align-items: start;
    }

    .cta h2 {
        margin: 0 auto 10px;
        font-size: 60px;
        line-height: 80px;
        max-width: 100%;
    }

    .hero h1 {  
        font-size: 65px;
        line-height: 80px;
        font-weight: 500;
    }

    .services .container h2 {
        margin-bottom: 60px;
        max-width: 540px;
        font-size: 45px;
        line-height: 60px;
        max-width: 100%;
    }

    .social-proof .header h2 {
        font-size: 45px;
        line-height: 60px;
        max-width: 100%;
    }

    .services .container .service .left h3 {
        font-size: 35px;
        line-height: 45px;
    }

    .portfolio .project h3 {
        font-size: 35px;
        line-height: 45px;
    }

    .footer .main {
        grid-template-columns: repeat(1, 1fr);
        gap: 80px;
    }

    .footer .col.double {
        grid-column: span 1;
    }

    .footer .col .footer-logo {
        display: block;
        margin-bottom: 30px;
    }

    .footer .col .media {
        margin-top: 30px;
    }

    .portfolio .project p {
        max-width: none;
    }

    .portfolio {
        padding-bottom: 20px;
    }
}

@media screen and (max-width: 850px) {
    .services .container .service {
        flex-direction: column;
        align-items: start;
        padding: 30px 0px;
        gap: 20px;
    }

    .proof .container {
        padding-top: 60px;
        padding-bottom: 60px;
        flex-direction: column;
        gap: 20px;
    }

    .proof .container p {
        max-width: 100%;
        font-size: 18px;
        line-height: 26px;
        color: rgba(30, 30, 30, .6);
    }

    .proof .container .logo-slider-wrap {
        width: 100%;
        max-width: none;
    }

    .services .container .service .right p {
        max-width: 100%;
    }

    .social-proof .header .numbers h3 {
        margin-bottom: 5px;
        font-size: 46px;
        line-height: 46px;
        font-weight: 400;
    }

    .social-proof .header {
        margin-bottom: 40px;
    }

    .cta {
        text-align: center;
        padding-top: 100px;
    }

    .cta h2 {
        font-size: 45px;
        line-height: 60px;
        max-width: 100%;
    }

    .cta p {
        max-width: 620px;
        margin: 0 auto 20px;
        font-size: 18px;
        line-height: 26px;
        font-weight: 400;
    }

    .cta button {
        padding: 16px 46px;
        font-size: 18px;
        line-height: 20px;
        margin-bottom: 60px;
    }

    .footer {
        padding-top: 80px;
        padding-bottom: 40px;
    }

    .footer .col .footer-logo {
        width: 180px;
    }

    .navbar .links {
        display: none;
    }

    .mobile-menu {
        display: flex;
        width: 50px;
        height: 50px;
        min-width: 50px;
        max-width: 50px;
        overflow: hidden;
        border-radius: 50px;
    }

    .mobile-menu .open {
        width: 50px;
        min-width: 50px;
        height: 50px;
        display: flex;
        align-items: center;
        justify-content: center;
        background-color: #1E1E1E;
        transition: all ease 450ms;
    }

    .mobile-menu .close {
        width: 50px;
        min-width: 50px;
        height: 50px;
        display: flex;
        align-items: center;
        justify-content: center;
        background-color: #F3C403;
        transition: all ease 450ms;
    }
}

@media screen and (max-width: 650px) {
    .hero .slider-wrap {
        max-width: 100%;
        width: 100%;
    }

    .hero .content {
        width: 100%;
    }

    section {
        padding-inline: 20px;
    }

    .hero h1 {
        font-size: 50px;
        line-height: 65px;
    }

    .hero .slider-wrap .slider .item {
        padding: 12px 16px;
        font-size: 12px;
        line-height: 16px;
    }

    .hero p {
        font-size: 18px;
        line-height: 29px;
        margin: 3px 0 15px;
    }

    .hero button {
        padding: 16px 26px;
        border-radius: 30px;
        font-size: 18px;
        line-height: 20px;
        gap: 10px;
    }

    .hero button img {
        height: auto;
        padding-top: 2px;
    }

    .services .container {
        padding-top: 100px;
        padding-bottom: 100px;
    }

    .caption {
        margin-bottom: 10px;
        font-size: 14px;
        line-height: 18px;
    }

    .services .container .service .left {
        gap: 30px;
    }

    .portfolio .project img {
        display: none;
    }

    .portfolio h2 {
        margin-bottom: 60px;
    }

    .portfolio .project .tags .tag {
        padding: 12px 16px;
        font-size: 12px;
        line-height: 16px;
    }

    .portfolio .project .tags {
        margin-bottom: 20px;
    }

    .portfolio .project h4 {
        margin-bottom: 25px;
        font-size: 26px;
        line-height: 36px;
    }

    .portfolio .project p {
        font-size: 18px;
        line-height: 26px;
    }

    .portfolio .mobile-demo {
        margin-bottom: 100px;
        padding: 10px;
        border-radius: 10px;
    }

    .portfolio .mobile-demo img {
        border-radius: 6px;
     }

    .portfolio .project {
        margin-bottom: 20px;
    }

    .social-proof {
        padding-top: 100px;
        padding-bottom: 100px;
    }

    .social-proof .reviews {
        grid-template-columns: repeat(1, 1fr);
        gap: 10px;
    }

    .social-proof .reviews .card {
        padding: 30px;
    }

    .cta {
        padding-top: 80px;
    }

    .proof .container p {
        text-align: center;
    }

        .copyright {
        flex-direction: column;
        align-items: start;
        gap: 15px;
    }

    .footer-links a {
        font-size: 18px;
        line-height: 24px;
    }

    .footer .col h3 {
        margin-bottom: 20px;
        font-size: 22px;
        line-height: 28px;
    }

    .footer .main {
        gap: 40px;
    }
}

@media screen and (max-width: 400px) {
    .hero h1 {
        font-size: 45px;
        line-height: 56px;
    }

    .hero button {
        padding: 16px 26px;
        border-radius: 30px;
        font-size: 16px;
        line-height: 20px;
        gap: 10px;
    }

    .hero .container {
        padding-bottom: 40px;
    }

    .proof .container p {
        font-size: 16px;
        line-height: 24px;
    }

    .services .container {
        padding-top: 60px;
        padding-bottom: 100px;
    }

    .services .container .service .right p {
        font-size: 18px;
        line-height: 24px;
    }

    .services .container h2 {
        font-size: 36px;
        line-height: 45px;
        margin-bottom: 50px;
    }

    .portfolio {
        padding-top: 60px;
    } 

    .portfolio h2 {
        margin-bottom: 50px;
        font-size: 36px;
        line-height: 45px;
    }

    .social-proof {
        padding-top: 60px;
        padding-bottom: 60px;
    }

    .social-proof .header h2 {
        font-size: 36px;
        line-height: 45px;
    }

    .social-proof .header .numbers {
        display: flex;
        gap: 15px;
        justify-content: space-between;
    }

    .social-proof .header .numbers h3 {
        font-size: 38px;
        line-height: 40px;
    }

    .social-proof .header .numbers p {
        font-size: 18px;
        line-height: 24px;
        font-weight: 400;
    }

    .social-proof .header {
        gap: 20px;
    }

    .social-proof .reviews .card .avatar {
        margin-bottom: 20px;
    }

    .social-proof .reviews .card p {
        margin: 20px 0;
        font-size: 18px;
        line-height: 24px;
    }

    .cta h2 {
        font-size: 36px;
        line-height: 44px;
    }

    .cta button {
        padding: 16px 28px;
        font-size: 16px;
        line-height: 20px;
        margin-bottom: 60px;
        margin-top: 40px;
    }

    .cta button img {
        height: auto;
        padding-top: 2px;
    }


} 